Skip to main content
PUT
/
api
/
v1
/
client
/
{environmentId}
/
contacts
/
{userId}
/
attributes
Update Contact (Attributes)
curl --request PUT \
  --url 'http://{{baseurl}}/api/v1/client/{environmentId}/contacts/{userId}/attributes' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributes": {
    "Created From": "API"
  }
}
'
import requests

url = "http://{{baseurl}}/api/v1/client/{environmentId}/contacts/{userId}/attributes"

payload = { "attributes": { "Created From": "API" } }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({attributes: {'Created From': 'API'}})
};

fetch('http://{{baseurl}}/api/v1/client/{environmentId}/contacts/{userId}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "changed": true,
    "message": "The person was successfully updated."
  }
}

Path Parameters

environmentId
string
required
userId
string
required

Body

application/json

The body is of type object.

Response

OK

The response is of type object.